Subject: Emacs brew URL Has Expired SSL
From: Jeremy Walker <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Thu, 14 Dec 2023 23:10:06 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

I am trying to install emacs on a Macintosh.  As per the instructions at https://www.gnu.org/software/emacs/download.html I ran:

    $ brew install --cask emacs

However, because the SSL cert is expired, instead of installing emacs I see:

==> Downloading https://emacsformacosx.com/emacs-builds/Emacs-29.1-1-universal.d

curl: (60) SSL certificate problem: certificate has expired

More details here: https://curl.se/docs/sslcerts.html

curl failed to verify the legitimacy of the server and therefore could not

establish a secure connection to it. To learn more about this situation and

how to fix it, please visit the web page mentioned above.

Error: Download failed on Cask 'emacs' with message: Download failed: https://emacsformacosx.com/emacs-builds/Emacs-29.1-1-universal.dmg

Please update your certificate to have a non-expired date so that Mac users can install emacs.  Thanks!

Jeremy